package ei.game.network.entities;

import ei.engine.math.Vector2i;
import ei.game.gamestate.InGameState;
import ei.game.player.Player;
import ei.game.scene.buildings.Building;
import ei.game.scene.units.Unit;

public abstract class NetworkBuilding extends Building{
	private static int nextId;
	private int buildingId;

	public NetworkBuilding(int l, Vector2i pos, Player p, int size) {
		super(l, pos, p, size);
		buildingId = nextId;
		nextId++;
	}
	
	public int getBuildingId(){
		return buildingId;
	}
	
	public void setPos(int x, int y, int size) {
		if(!InGameState.isNetwork()){
			super.setPos(x, y, size);
		}
		else{
			
		}
	}
	
	public void buildUnit(Unit u){
		if(!InGameState.isNetwork()){
			super.buildUnit(u);
		}
		else{
			
		}
	}
	
	public void removeLast(){
		if(!InGameState.isNetwork()){
			super.removeLast();
		}
		else{
			
		}
	}
	
	public void remove(){
		if(!InGameState.isNetwork()){
			super.remove();
		}
		else{
			
		}
	}
	
	public void update() {
		if(!InGameState.isNetwork()){
			super.update();
		}
		else{
			
		}
	}
	
	

}
